<app-layout>
    <div class="row no-gutters">
        <div class="p-4 col-lg-8 col-md-8 col-sm-12 col-xs-12">
            <mat-horizontal-stepper [linear]="isLinear" #stepper>
              <mat-step [stepControl]="step1">
                <form [formGroup]="step1">
                  <ng-template matStepLabel>Basics</ng-template>
                  <div class="row mat-typography p-4">
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Give your advert a name</mat-label>
                        <input matInput placeholder="Title" formControlName="title" type="text" name="title" required>
                        <mat-error>Enter valid input</mat-error>
                      </mat-form-field>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Advertisement Type</mat-label>
                        <mat-select placeholder="Advertisement Tyoe" formControlName="kind">
                          <mat-option *ngFor="let _kind of kinds" [value]="_kind">{{_kind}}</mat-option>
                        </mat-select>
                        <mat-error>Select an input</mat-error>
                      </mat-form-field>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Orientation</mat-label>
                        <mat-select placeholder="Orientation" formControlName="orientation">
                          <mat-option *ngFor="let _orientation of orientations" [value]="_orientation">{{_orientation}}</mat-option>
                        </mat-select>
                        <mat-error>Select an input</mat-error>
                      </mat-form-field>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Brand Name</mat-label>
                        <input matInput placeholder="Brand Name" formControlName="brand" type="text" name="brand" required>
                        <mat-error>Enter valid input</mat-error>
                      </mat-form-field>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Product Name</mat-label>
                        <input matInput placeholder="Product Name" formControlName="product" type="text" name="product" required>
                        <mat-error>Enter valid input</mat-error>
                      </mat-form-field>
                    </div>
                    <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
                      <mat-form-field appearance="outline" class="w-100">
                        <mat-label>Product Category</mat-label>
                        <input matInput placeholder="Product Category" formControlName="category" type="text" name="category" required>
                        <mat-error>Enter valid input</mat-error>
                      </mat-form-field>
                    </div>
                  </div>
                  <div align="right" class="px-4">
                    <button mat-button matStepperNext class="btn-black" color="primary">Next</button>
                  </div>
                </form>
              </mat-step>
              <mat-step [stepControl]="step2">
                <form [formGroup]="step2">
                  <ng-template matStepLabel>Media</ng-template>
                  <app-upload-modal></app-upload-modal>
                  <div align="right" class="px-4">
                    <button mat-button matStepperPrevious>Back</button>
                    <button mat-button matStepperNext class="btn-black" color="primary">Next</button>
                  </div>
                </form>
              </mat-step>
              <mat-step>
                <ng-template matStepLabel>Demographics</ng-template>
                You are now done.
                <div>
                  <button mat-button matStepperPrevious>Back</button>
                  <button mat-button (click)="stepper.reset()">Reset</button>
                </div>
              </mat-step>
              <mat-step>
                <ng-template matStepLabel>Goals</ng-template>
                You are now done.
                <div>
                  <button mat-button matStepperPrevious>Back</button>
                  <button mat-button (click)="stepper.reset()">Reset</button>
                </div>
              </mat-step>
              <mat-step>
                <ng-template matStepLabel>Done</ng-template>
                You are now done.
                <div>
                  <button mat-button matStepperPrevious>Back</button>
                  <button mat-button (click)="stepper.reset()">Reset</button>
                </div>
              </mat-step>
            </mat-horizontal-stepper>
        </div>
        <div class="p-4 col-lg-4 col-md-4 col-sm-12 col-xs-12">

        </div>
    </div>
</app-layout>